| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
FalloffData Struct Reference

Data container holding shared data specific to Falloff rates. More...

`#include <Falloff.h>`

Inheritance diagram for FalloffData:
[legend]

## Detailed Description

Data container holding shared data specific to Falloff rates.

The data container `FalloffData` holds precalculated data common to all Falloff related reaction rate classes.

Definition at line 20 of file Falloff.h.

## Public Member Functions
bool | update (const ThermoPhase &phase, const Kinetics &kin) override
| Update data container based on thermodynamic phase state.
void | update (double T) override
| Update data container based on temperature T
void | update (double T, double M) override
| Update data container based on temperature T and an extra parameter.
void | perturbThirdBodies (double deltaM)
| Perturb third-body concentration vector of data container.
void | restore () override
| Restore data container after a perturbation.
void | resize (size_t nSpecies, size_t nReactions, size_t nPhases) override
| Update number of species, reactions and phases.
void | invalidateCache () override
| Force shared data and reaction rates to be updated next time.
virtual void | update (double T)
| Update data container based on temperature T
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter.
virtual void | update (double T, const vector< double > &extra)
| Update data container based on temperature T and a vector parameter extra
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state.
Public Member Functions inherited from ReactionData
void | perturbTemperature (double deltaT)
| Perturb temperature of data container.

## Public Attributes
bool | ready = false
| boolean indicating whether vectors are accessible
double | molar_density = NAN
| used to determine if updates are needed
vector< double > | conc_3b
| vector of effective third-body concentrations
Public Attributes inherited from ReactionData
double | temperature = 1.0
| temperature
double | logT = 0.0
| logarithm of temperature
double | recipT = 1.0
| inverse of temperature

## Protected Attributes
int | m_state_mf_number = -1
| integer that is incremented when composition changes
bool | m_perturbed = false
| boolean indicating whether 3-rd body values are perturbed
vector< double > | m_conc_3b_buf
| buffered third-body concentrations
Protected Attributes inherited from ReactionData
double | m_temperature_buf = -1.0
| buffered temperature

## Constructor & Destructor Documentation

## ◆ FalloffData()

FalloffData | ( |  | ) |

Definition at line 20 of file Falloff.cpp.

## Member Function Documentation

## ◆ update() [1/7]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Definition at line 38 of file Falloff.cpp.

## ◆ update() [2/7]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 26 of file Falloff.cpp.

## ◆ update() [3/7]

void update | ( | double | T,
|  | double | extra
| ) |  |
| override virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 32 of file Falloff.cpp.

## ◆ perturbThirdBodies()

void perturbThirdBodies | ( | double | deltaM | ) |

Perturb third-body concentration vector of data container.

The method is used for the evaluation of numerical derivatives.

Parameters

  deltaM | relative third-body perturbation

Definition at line 57 of file Falloff.cpp.

## ◆ restore()

void restore | ( |  | ) |
| override virtual

Restore data container after a perturbation.

Reimplemented from ReactionData.

Definition at line 70 of file Falloff.cpp.

## ◆ resize()

void resize | ( | size_t | nSpecies,
|  | size_t | nReactions,
|  | size_t | nPhases
| ) |  |
| inline override virtual

Update number of species, reactions and phases.

Reimplemented from ReactionData.

Definition at line 41 of file Falloff.h.

## ◆ invalidateCache()

void invalidateCache | ( |  | ) |
| inline override virtual

Force shared data and reaction rates to be updated next time.

This is called by functions that change quantities affecting rate calculations that are normally assumed to be constant, like the reaction rate parameters or the number of reactions.

Reimplemented from ReactionData.

Definition at line 47 of file Falloff.h.

## ◆ update() [4/7]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 36 of file ReactionData.h.

## ◆ update() [5/7]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 48 of file ReactionData.h.

## ◆ update() [6/7]

virtual void update | ( | double | T,
|  | const vector< double > & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from ReactionData.

Definition at line 62 of file ReactionData.h.

## ◆ update() [7/7]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

## Member Data Documentation

## ◆ ready

bool ready = false

boolean indicating whether vectors are accessible

Definition at line 52 of file Falloff.h.

## ◆ molar_density

double molar_density = NAN

used to determine if updates are needed

Definition at line 53 of file Falloff.h.

## ◆ conc_3b

vector<double> conc_3b

vector of effective third-body concentrations

Definition at line 54 of file Falloff.h.

## ◆ m_state_mf_number

int m_state_mf_number = -1
| protected

integer that is incremented when composition changes

Definition at line 58 of file Falloff.h.

## ◆ m_perturbed

bool m_perturbed = false
| protected

boolean indicating whether 3-rd body values are perturbed

Definition at line 60 of file Falloff.h.

## ◆ m_conc_3b_buf

vector<double> m_conc_3b_buf
| protected

buffered third-body concentrations

Definition at line 61 of file Falloff.h.

The documentation for this struct was generated from the following files:

- Falloff.h
- Falloff.cpp